{% extends 'base.html' %}

{% block content %}
    <main>
        <div>
            <h1>My Projects</h1>
            <p>
                <a href="{% url 'create_project' %}">Create a new project</a>
            </p>
            <table>
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Number of tasks</th>
                    </tr>
                </thead>
                {% for project in list_projects %}
                    <tbody>
                        <tr>
                            <td>
                                <a href="{% url 'show_project' project.pk %}">{{ project.name }}</a>
                            </td>
                            <td>{{ project.tasks.all|length }}</td>
                        </tr>
                    {% empty %}
                        <p>You are not assigned to any projects</p>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </main>
{% endblock content %}
